ifeq ($(VIRTUAL_ENV),)
	RUN_IN_ENV=poetry run
else
	RUN_IN_ENV=
endif

run:
	@ $(RUN_IN_ENV) uvicorn \
		main:app \
		--reload \
		--reload-dir=app

run-no-relad:
	@ $(RUN_IN_ENV) uvicorn \
		main:app

shell:
	@ $(RUN_IN_ENV) python manage.py shell
